MKFS(8)

NOM
mkfs - Créer un système de fichiers Linux

SYNOPSIS

mkfs [options] [-t type] [options_du_système_de_fichiers] périphérique [taille]

DESCRIPTION

Cette interface mkfs est obsolète, les utilitaires mkfs.type spécifiques à un système de fichiers devraient être utilisés à la place.

mkfs est utilisé pour créer un système de fichiers Linux sur un périphérique, généralement une partition d'un disque dur. Le paramètre périphérique est soit le nom du périphérique (par exemple : /dev/hda1, /dev/sdb2), soit un fichier normal qui peut contenir le système de fichiers. Le paramètre taille est le nombre de blocs à utiliser pour le système de fichiers.

Le code de retour renvoyé par mkfs est 0 en cas de réussite et 1 en cas d'échec.

En réalité mkfs n'est qu'une interface commune à toute une variété de constructeurs de système de fichiers (mkfs.type_sys_de_fichiers) disponibles sous Linux. Le constructeur spécifique à un système est recherché uniquement en suivant la variable d'environnement PATH. Veuillez consulter les pages de manuel des constructeurs spécifiques à un système de fichiers pour de plus amples précisions.

OPTIONS

-t, --type type
    Indiquer le type de système de fichiers à créer. S'il n'est pas indiqué, le système de fichiers par défaut (actuellement ext2) est utilisé.

options_du_système_de_fichiers
    Options spécifiques au système de fichiers à passer au constructeur effectif.

-V, --verbose
    Produire une sortie bavarde, notamment toutes les commandes spécifiques au système de fichiers exécutées. Indiquer cette option plusieurs fois inhibe l'exécution de toute commande spécifique au système de fichiers. Cela n'est utile que pour faire des tests.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter (les informations sur la version ne seront affichées que si l'option -V est le seul paramètre, sinon cela fonctionnera comme --verbose).

BOGUES

Toutes les options génériques doivent précéder et ne pas être mélangées avec les options spécifiques au système de fichiers. Certains programmes spécifiques à un système de fichiers ne détectent pas automatiquement la taille du périphérique et nécessitent l'utilisation du paramètre taille.

AUTEURS

Cette page de manuel est une adaptation de la version du système de fichiers ext2 de Rémy Card

VOIR AUSSI

fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande mkfs fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.